Bug 806489 - [abrt] meld-1.5.3-1.fc16: filediff.py:550:pull_all_non_conflicting_changes:AssertionError
[abrt] meld-1.5.3-1.fc16: filediff.py:550:pull_all_non_conflicting_changes:As...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:3664c93a74c19b5bf141e56b66a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 21:48 EDT by Damien Grassart
Modified: 2013-02-13 09:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:11:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Grassart 2012-03-23 21:48:49 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/meld --label=local /home/damien/projects/SDL/configure --label=base /tmp/configure~base.iowWVH --label=other /tmp/configure~other.0yOf9c
comment:        Tried to merge by doing "Merge all changes from left".
executable:     /usr/bin/meld
kernel:         3.3.0-4.fc16.x86_64
reason:         filediff.py:550:pull_all_non_conflicting_changes:AssertionError
time:           Sat 24 Mar 2012 02:46:46 AM CET
uid:            1000
username:       damien

backtrace:
:filediff.py:550:pull_all_non_conflicting_changes:AssertionError
:
:Traceback (most recent call last):
:  File "/usr/share/meld/meld/filediff.py", line 307, in <lambda>
:    ("MergeFromLeft",  None, _("Merge all changes from left"),  None, _("Merge all non-conflicting changes from the left"), lambda x: self.pull_all_non_conflicting_changes(-1)),
:  File "/usr/share/meld/meld/filediff.py", line 550, in pull_all_non_conflicting_changes
:    assert src in range(self.num_panes)
:AssertionError
:
:Local variables in innermost frame:
:src: -2
:dst: -1
:direction: -1
:self: <FileDiff object at 0x29b7cd0 (meld+filediff+FileDiff at 0x2a9a960)>

smolt_data:
:
:
:General
:=================================
:UUID: c7c35786-2832-4144-8412-7ed424eba82c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4788.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3953
:System Swap: 6015
:Vendor: Dell Inc.
:System: Vostro 400 
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10544:4136:573) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:4136:573) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10518:4136:573) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(4098:26425:4098:2816) pci, radeon, VIDEO, Barts PRO [ATI Radeon HD 6800 Series]
:(32902:10534:4136:573) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10558:4136:573) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:4288:4136:573) pci, e1000e, ETHERNET, 82562V-2 10/100 Network Connection
:(32902:10549:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4136:573) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10548:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:4136:573) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10556:4136:573) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4098:43656:4098:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(32902:10553:4136:573) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4136:573) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10689:4136:573) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_vostro-lv_root / ext4 4096 4096 5103904 1381715 1125715 1281120 907339 907339
:/dev/sda1 /boot ext4 1024 1024 202770 115901 105661 51200 50927 50927
:/dev/mapper/vg_vostro-lv_home /home ext4 4096 4096 1015482135 138759409 87280489 257777664 256709266 256709266
:/dev/sdd1 WITHHELD ext4 4096 4096 243946348 12316163 106663 61054976 60979515 60979515
:
Comment 1 Fedora End Of Life 2013-01-16 08:24:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:11:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.